Subject: Re: bug#36837: 26.2; whitespace-mode: whitespace-line-column is not set to local fill-column

From: Noam Postavsky <[email-masked]>
Date: Mon, 24 Feb 2020 14:56:25 -0500

severity 36837 minor
severity 39427 minor
quit

Štěpán Němec <[email-masked]> writes:

> On Sat, 03 Aug 2019 09:50:56 +0200
> [email-masked] wrote:
>
>> Maybe whitespace-mode could watch fill-column for changes, at least
>> until the file-local variables are loaded?
>> There is also the possibility that fill-column is changed afterwards by
>> the user, but I guess that's not too common…
>
> Ah, the new variable watcher thing. I suppose that would be a
> possibility, though so far its use in Emacs seems to be quite limited.

It's intended mainly for debugging.

> Less avant-garde perhaps would be to do what's being done for some of
> the other regexps already: turn it into a function:

I think this would make more sense, and also fix #39427 "whitespace-mode
doesn't track fill-column changes".